<div class="container">
  <h1>Debugging Frontend!</h1>
  <div class="logs">
    <h3>Console logs</h3>
    <button (click)="normalLog()">Normal Log</button>
    <button (click)="computedPropertyLog()">Computed Property Log</button>
    <button (click)="consoleTimer()">Timer Log</button>
    <button (click)="consoleTable()">Table Log</button>
    <button (click)="traceLog()">Trace Log</button>
    <button (click)="groupLog()">Group Log</button>
    <button (click)="assertLog()">Assert Log</button>
    <button (click)="countLog()">Count Log</button>
    <button (click)="referenceLog()">Reference Log</button>
    <button (click)="clearLog()">Clear Log</button>
  </div>
  <div class="breakpoints">
    <h3>Breakpoionts</h3>
    <button (click)="breakpoints()">Breakpoint example</button>
    <button (click)="conditionalBreakpoint(true)">Conditional Breakpoint true</button>
    <button (click)="conditionalBreakpoint(false)">Conditional Breakpoint false</button>
    <button (mouseenter)="onHover()">Hover ME!</button>
    <div class="hoverDiv" [ngClass]="hoverClass">{{hoverClass}}</div>
  </div>
</div>
